# HeaderParser Class Reference
[HTTP related utilities]

List of all members.

## Public Member Functions

| parse ($data)
| doLine ($line)
| getHeaders ()
| hasHeader ($name)
| getHeader ($name)

## Static Public Member Functions

static | create ()

## Private Attributes

| $headers = array()
| $currentHeader = null

## Detailed Description

Definition at line 15 of file HeaderParser.class.php.

## Member Function Documentation

static HeaderParser::create | ( |  | ) | `[static]`

Definition at line 20 of file HeaderParser.class.php.

HeaderParser::doLine | ( | $ | line | ) |

Definition at line 40 of file HeaderParser.class.php.

Referenced by parse().

HeaderParser::getHeader | ( | $ | name | ) |

Definition at line 89 of file HeaderParser.class.php.

HeaderParser::getHeaders | ( |  | ) |

Returns:
  associative array of headers (name => value)

Definition at line 79 of file HeaderParser.class.php.

HeaderParser::hasHeader | ( | $ | name | ) |

Definition at line 84 of file HeaderParser.class.php.

HeaderParser::parse | ( | $ | data | ) |

Parameters:

  | raw | header data

Returns:
  associative array of headers (name => value)

Definition at line 29 of file HeaderParser.class.php.

References doLine().

Here is the call graph for this function:

## Member Data Documentation

HeaderParser::$currentHeader = null`[private]`

Definition at line 18 of file HeaderParser.class.php.

HeaderParser::$headers = array()`[private]`

Definition at line 17 of file HeaderParser.class.php.

The documentation for this class was generated from the following file:

- main/Net/Http/HeaderParser.class.php